mwMsgChannelCreate Struct Reference

`#include <mw_message.h>`

## Data Fields

struct mwOpaque | addtl
| service-specific additional data
guint32 | channel
| intended ID for new channel
struct mwLoginInfo | creator
gboolean | creator_flag
| indicate presence of creator information
struct mwEncryptOffer | encrypt
struct mwMessage | head
guint32 | options
| options
guint32 | proto_type
| protocol type for the service
guint32 | proto_ver
| protocol version for the service
guint32 | reserved
| unknown reserved data
guint32 | service
| ID for the target service.
struct mwIdBlock | target
| User ID.

## Field Documentation

## addtl

struct mwOpaque mwMsgChannelCreate::addtl

service-specific additional data

## channel

guint32 mwMsgChannelCreate::channel

intended ID for new channel

## creator

struct mwLoginInfo mwMsgChannelCreate::creator

## creator_flag

gboolean mwMsgChannelCreate::creator_flag

indicate presence of creator information

## encrypt

struct mwEncryptOffer mwMsgChannelCreate::encrypt

## head

struct mwMessage mwMsgChannelCreate::head

## options

guint32 mwMsgChannelCreate::options

options

## proto_type

guint32 mwMsgChannelCreate::proto_type

protocol type for the service

## proto_ver

guint32 mwMsgChannelCreate::proto_ver

protocol version for the service

## reserved

guint32 mwMsgChannelCreate::reserved

unknown reserved data

## service

guint32 mwMsgChannelCreate::service

ID for the target service.

## target

struct mwIdBlock mwMsgChannelCreate::target

User ID.

for service use

The documentation for this struct was generated from the following file:

- mw_message.h